Business API

Manage business profiles, services, availability, and media.

Endpoints

Create Business Profile

Create a new business profile.

POST /business/profile

Request Body:

{
  "name": "Artisan Coffee Roasters",
  "category": "restaurants",
  "description": "Family-owned coffee roastery specializing in single-origin beans",
  "tagline": "Locally roasted, globally inspired",
  "location": {
    "address": {
      "street": "123 Main St",
      "city": "Portland",
      "state": "OR",
      "country": "USA",
      "postalCode": "97201"
    },
    "coordinates": {
      "lat": 45.5231,
      "lon": -122.6765
    }
  },
  "contact": {
    "phone": "+1-503-555-0123",
    "email": "info@artisancoffee.com",
    "website": "https://artisancoffee.com"
  },
  "services": [
    {
      "name": "Espresso Drinks",
      "description": "Handcrafted espresso beverages",
      "category": "beverages",
      "pricing": {
        "type": "range",
        "minAmount": 4,
        "maxAmount": 7,
        "currency": "USD"
      },
      "bookable": false,
      "requiresQuote": false
    }
  ],
  "hours": {
    "monday": { "open": "07:00", "close": "18:00" },
    "tuesday": { "open": "07:00", "close": "18:00" },
    "wednesday": { "open": "07:00", "close": "18:00" },
    "thursday": { "open": "07:00", "close": "18:00" },
    "friday": { "open": "07:00", "close": "18:00" },
    "saturday": { "open": "08:00", "close": "17:00" },
    "sunday": { "closed": true }
  }
}

Response (201 Created):

Get Business Profile

Retrieve a business profile by ID.

Response (200 OK):

Update Business Profile

Update an existing business profile.

Request Body (partial update):

Response (200 OK):

Delete Business Profile

Delete a business profile.

Response (200 OK):

Get Profile Status

Check profile completion and publishing status.

Response (200 OK):

Services Management

Add Service

Add a new service to your business.

Request Body:

Response (201 Created):

Update Service

Update an existing service.

Delete Service

Remove a service.

Media Management

Upload Media

Upload photos, videos, or logo.

Request:

Response (201 Created):

Delete Media

Remove uploaded media.

AI-Exclusive Content

Update Exclusive Content

Add or update AI-exclusive content.

Request Body:

Response (200 OK):

Availability Management

Update Hours

Update business hours.

Request Body:

Add Blackout Dates

Mark dates when business is closed.

Request Body:

Verification

Request Verification

Request business verification.

Request Body:

Response (200 OK):

Error Codes

Code
Description

PROFILE_NOT_FOUND

Business profile doesn't exist

VALIDATION_ERROR

Invalid request data

DUPLICATE_PROFILE

Profile already exists for this business

MEDIA_UPLOAD_FAILED

Failed to upload media file

VERIFICATION_PENDING

Verification already in progress

Examples

TypeScript

Python

cURL

Next Steps

Last updated